import 'package:flutter/material.dart';
import 'package:flutter_wisetronic/store/actions.dart';
import 'package:redux/redux.dart';

final localeReducer = combineReducers<Locale?>([
  TypedReducer<Locale?, UpdateLocale>(_updateLocale)
]);

Locale? _updateLocale(Locale? locale, action) {
  return action.locale;
}